%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A weather plugin for the Xfce panel
Name:		xfce4-weather-plugin
Version:	0.11.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#

# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(libxml-2.0)
#Optional
BuildRequires:	pkgconfig(upower-glib)
Requires:	xfce4-panel
# For TLS/SSL support
Requires:	glib-networking

%description
This panel plugin shows the current temperature and weather condition,
using weather data provided by the Norwegian Meteorological Institute.

%prep
%autosetup -p1 -S git_am

%build
%xdt_autogen
# (wally) use my account for geonames service
export GEONAMES_USERNAME=wally_mageia
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README*
%{_datadir}/xfce4/weather/
%{_datadir}/xfce4/panel/plugins/weather.desktop
%{_libdir}/xfce4/panel/plugins/libweather.so
%{_iconsdir}/hicolor/*/apps/*.{svg,png}


%changelog
* Sat Mar 09 2024 wally <wally> 0.11.2-1.mga10
+ Revision: 2048909
- new version 0.11.2

* Sun Apr 23 2023 wally <wally> 0.11.1-1.mga9
+ Revision: 1954402
- new version 0.11.1

* Mon Apr 04 2022 umeabot <umeabot> 0.11.0-2.mga9
+ Revision: 1843519
- Mageia 9 Mass Rebuild

* Sat Feb 27 2021 wally <wally> 0.11.0-1.mga9
+ Revision: 1692749
- new version 0.11.0

* Tue Nov 10 2020 wally <wally> 0.10.2-1.mga8
+ Revision: 1644267
- new version 0.10.2

* Sun Jul 05 2020 wally <wally> 0.10.1-2.mga8
+ Revision: 1602437
- add upstream patch to switch to weather forecast api 2.0

* Sun Feb 23 2020 wally <wally> 0.10.1-1.mga8
+ Revision: 1549581
- new version 0.10.1

* Sat Feb 15 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1528183
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 0.10.0-1.mga8
+ Revision: 1428924
- new version 0.10.0

* Sat Mar 23 2019 wally <wally> 0.9.1-1.mga7
+ Revision: 1379803
- new version 0.9.1

* Sat Sep 22 2018 wally <wally> 0.9.0-1.mga7
+ Revision: 1296565
- new version 0.9.0
- switch to gtk3

* Thu Oct 12 2017 wally <wally> 0.8.10-1.mga7
+ Revision: 1171268
- new version 0.8.10

* Fri Feb 17 2017 wally <wally> 0.8.9-1.mga6
+ Revision: 1086561
- new version 0.8.9
- drop upstreamed LocationforecastLTS api patch

* Thu Feb 16 2017 wally <wally> 0.8.8-3.mga6
+ Revision: 1086476
- add patch to update soon deprecated LocationforecastLTS api to version 1.3

* Fri Sep 09 2016 wally <wally> 0.8.8-2.mga6
+ Revision: 1051149
- require glib-networking for https

* Thu Sep 01 2016 wally <wally> 0.8.8-1.mga6
+ Revision: 1049684
- new version 0.8.8
- drop upstreamed patches

* Mon Aug 29 2016 wally <wally> 0.8.7-2.mga6
+ Revision: 1049414
- add patch to update deprecated Yr.no URLs and use HTTPS to fetch weather information

* Sat Apr 23 2016 wally <wally> 0.8.7-1.mga6
+ Revision: 1005659
- new version 0.8.6

* Wed Feb 17 2016 umeabot <umeabot> 0.8.6-2.mga6
+ Revision: 963602
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 wally <wally> 0.8.6-1.mga6
+ Revision: 842353
- new version 0.8.6

* Tue Mar 03 2015 wally <wally> 0.8.5-2.mga5
+ Revision: 817461
- rebuild for new libxfce4util

* Sat Feb 07 2015 wally <wally> 0.8.5-1.mga5
+ Revision: 813876
- new version 0.8.5

* Tue Nov 04 2014 wally <wally> 0.8.4-1.mga5
+ Revision: 795519
- new version 0.8.4
- drop patches from upstream

* Sun Oct 26 2014 wally <wally> 0.8.3-10.mga5
+ Revision: 793412
- add patches from upstream git to fix some runtime warnings

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-9.mga5
+ Revision: 740193
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 0.8.3-8.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 wally <wally> 0.8.3-7.mga5
+ Revision: 668409
- rebuild for new upower

* Mon Jun 09 2014 wally <wally> 0.8.3-6.mga5
+ Revision: 635242
- add patches from upstream git to use new met.no forecast API (xfce#10916)

* Fri May 30 2014 wally <wally> 0.8.3-5.mga5
+ Revision: 628038
- add UPower 0.99 support (patch originally from xfce#10922)

* Sat Feb 08 2014 wally <wally> 0.8.3-4.mga5
+ Revision: 586116
- rebuild for new upower

* Sat Oct 19 2013 umeabot <umeabot> 0.8.3-3.mga4
+ Revision: 535068
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 wally <wally> 0.8.3-2.mga4
+ Revision: 480937
- set GEONAMES_USERNAME configure option for the GeoNames web service

* Sun May 26 2013 wally <wally> 0.8.3-1.mga4
+ Revision: 427884
- new version 0.8.3

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 386881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ wally <wally>
- exclude plugin .so from provides

* Thu Sep 13 2012 wally <wally> 0.8.2-1.mga3
+ Revision: 293690
- new version 0.8.2
- drop patches from upstream

* Mon Aug 13 2012 wally <wally> 0.8.1-3.mga3
+ Revision: 281144
- add a patch from upstream git to clear scrollbox labels before updating conditions (xfce#9210)

* Tue Aug 07 2012 wally <wally> 0.8.1-2.mga3
+ Revision: 279732
- add a patch from upstream git to fix a crash in summary window

* Mon Aug 06 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 279501
- new version 0.8.1

* Mon Jul 23 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 273701
- new version 0.8.0

* Sat Jul 21 2012 wally <wally> 0.7.4-6.git20120721.1.mga3
+ Revision: 273082
- use latest git snapshot

* Fri Jul 13 2012 wally <wally> 0.7.4-6.git20120713.1.mga3
+ Revision: 270650
- latest git snapshot (without patches added in previous release)

* Mon Jul 02 2012 wally <wally> 0.7.4-6.git20120629.2.mga3
+ Revision: 266760
- add slightly modified scrolled-window-for-small-screens.patch from upstream bugzilla
- rename P0 and add a comment to it"

* Fri Jun 29 2012 wally <wally> 0.7.4-6.git20120629.1.mga3
+ Revision: 265112
- use latest git snapshot with new forecast tab patch from upstream bugzilla (mga#6622)

* Thu May 31 2012 wally <wally> 0.7.4-5.mga3
+ Revision: 252453
- port to libxfce4ui

* Mon May 28 2012 wally <wally> 0.7.4-4.mga3
+ Revision: 248600
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 0.7.4-3.mga2
+ Revision: 190034
- rebuild for new xfce4-panel

* Sun Nov 20 2011 wally <wally> 0.7.4-2.mga2
+ Revision: 169949
- fix expired XOAP license key (patch from arch linux)

* Tue Jul 12 2011 wally <wally> 0.7.4-1.mga2
+ Revision: 123336
- clean .spec
- imported package xfce4-weather-plugin


* Sat Mar 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 644045
- update to new version 0.7.4
- update url for Source0
- tune up buildrequires

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-3mdv2011.0
+ Revision: 615651
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-2mdv2010.1
+ Revision: 543443
- rebuild for mdv 2010.1

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-1mdv2010.0
+ Revision: 409651
- update to new version 0.7.3

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 404018
- update to new version 0.7.2

* Wed Jul 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 398599
- update to new version 0.7.1

* Wed Jun 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 388886
- update to new version 0.7.0
- drop patch 0

* Tue Jun 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 386436
- update to new version 0.6.4

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 385908
- update to new version 0.6.3
- drop patches 1,2,3,4 and 5, they were merged by upstream

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-6mdv2010.0
+ Revision: 385033
- Patch2: better version
- Patch4: fix display orientation
- Patch5: take advantage of new gtk-2.12 tooltips

* Sun Mar 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-5mdv2009.1
+ Revision: 360451
- Patch3: fixes against latest libtool

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-4mdv2009.1
+ Revision: 295033
- rebuild for new Xfce4.6 beta1

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 229726
- Patch1: fix UTF8 encodings
- Patch2: add resolvconf support (upstream bug #4118)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-2mdv2009.0
+ Revision: 194689
- Patch0: save nicely units

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 110578
- new version

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 110143
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name
- new license policy
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-3mdv2008.0
+ Revision: 31037
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 30499
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 30295
- new version

